Upstream information

CVE-2019-3896 at MITRE

Description

A double-free can happen in idr_remove_all() in lib/idr.c in the Linux kernel 2.6 branch. An unprivileged local attacker can use this flaw for a privilege escalation or for a system crash and a denial of service (DoS).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Local Local
Access Complexity Low High
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1138943 [RESOLVED / FIXED], 1173987 [RESOLVED / INVALID]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • kernel-bigmem >= 3.0.101-108.98.1
  • kernel-bigmem-base >= 3.0.101-108.98.1
  • kernel-bigmem-devel >= 3.0.101-108.98.1
  • kernel-default >= 3.0.101-108.98.1
  • kernel-default-base >= 3.0.101-108.98.1
  • kernel-default-devel >= 3.0.101-108.98.1
  • kernel-default-man >= 3.0.101-108.98.1
  • kernel-ec2 >= 3.0.101-108.98.1
  • kernel-ec2-base >= 3.0.101-108.98.1
  • kernel-ec2-devel >= 3.0.101-108.98.1
  • kernel-pae >= 3.0.101-108.98.1
  • kernel-pae-base >= 3.0.101-108.98.1
  • kernel-pae-devel >= 3.0.101-108.98.1
  • kernel-ppc64 >= 3.0.101-108.98.1
  • kernel-ppc64-base >= 3.0.101-108.98.1
  • kernel-ppc64-devel >= 3.0.101-108.98.1
  • kernel-source >= 3.0.101-108.98.1
  • kernel-syms >= 3.0.101-108.98.1
  • kernel-trace >= 3.0.101-108.98.1
  • kernel-trace-base >= 3.0.101-108.98.1
  • kernel-trace-devel >= 3.0.101-108.98.1
  • kernel-xen >= 3.0.101-108.98.1
  • kernel-xen-base >= 3.0.101-108.98.1
  • kernel-xen-devel >= 3.0.101-108.98.1
Patchnames:
slessp4-kernel-source-14127


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications kernel-source Not affected
SUSE Linux Enterprise 15 Module for Basesystem kernel-source Not affected
SUSE Linux Enterprise 15 Module for Development Tools kernel-source Not affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem kernel-source Not affected
SUSE Linux Enterprise 15-SP1 Module for Development Tools kernel-source Not affected
SUSE Linux Enterprise Desktop 12 SP3 kernel-source Not affected
SUSE Linux Enterprise Desktop 12 SP4 kernel-source Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 kernel-source Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 kernel-source Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS kernel-source Not affected
SUSE Linux Enterprise Server 11 SP3 kernel-source Released
SUSE Linux Enterprise Server 11 SP3 LTSS kernel-source Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS kernel-source Released
SUSE Linux Enterprise Server 12 LTSS kernel-source Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS kernel-source Not affected
SUSE Linux Enterprise Server 12 SP2 BCL kernel-source Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS kernel-source Not affected
SUSE Linux Enterprise Server 12 SP3 kernel-source Not affected
SUSE Linux Enterprise Server 12 SP3 BCL kernel-source Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS kernel-source Not affected
SUSE Linux Enterprise Server 12 SP4 kernel-source Not affected
SUSE Linux Enterprise Server 12 SP5 kernel-source Not affected
SUSE Linux Enterprise Server 15 LTSS kernel-source Not affected
SUSE Linux Enterprise Server ESPOS 15 kernel-source Not affected
SUSE Linux Enterprise Server for SAP Applications 12 kernel-source Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 kernel-source Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 kernel-source Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 kernel-source Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 kernel-source Not affected